1.3
1.3
get /v1/hosted-zones
Description
Return list of hosted zones
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | name Example : my-zone.com | any of [string, null] | None |
| query | type optional | Type of zone Example : | any of [enum (public, private), null] | None |
| query | status optional | The status Example : | any of [enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | HostedZoneListResponseV1Dot3 |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/hosted-zones
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"
Example HTTP response
Response 200
{
"count": 20,
"hosted_zones": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "This is description",
"hosted_zone_type": "public",
"id": "3432012nfdksdf03ktrld9234lgfg",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "my-zone.com",
"pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
"private_dns_id": "10fjkewefprivatedns3193rud543",
"private_dns_name": "private-dns01",
"status": "CREATING",
"ttl": "3600"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}